from setuptools import setup, find_packages

setup(
    name='insta360-gfpt',
    version='0.1.9',
    packages=find_packages(),
    include_package_data=True,
    package_data={
        'insta360_gfpt': ['templates/*'],
    },
    install_requires=[
        "altgraph==0.17.2",
        "Appium-Python-Client==1.2.0",
        "auto-py-to-exe==2.22.0",
        "bottle==0.12.23",
        "bottle-websocket==0.2.9",
        "certifi==2022.6.15",
        "cffi==1.15.1",
        "charset-normalizer==2.1.1",
        "colorama==0.4.5",
        "Eel==0.14.0",
        "ffmpeg-python==0.2.0",
        "func-timeout==4.3.5",
        "future==0.18.2",
        "gevent==21.12.0",
        "gevent-websocket==0.10.1",
        "greenlet==1.1.3",
        "idna==3.3",
        "importlib-metadata==4.12.0",
        "importlib-resources==5.9.0",
        "libusb==1.0.24b3",
        "libusb1==3.0.0",
        "loguru==0.6.0",
        "modbus-tk==1.1.2",
        "MouseInfo==0.1.3",
        "numpy",
        "opencv-contrib-python==4.6.0.66",
        "opencv-python==4.6.0.66",
        "packaging==21.3",
        "pefile==2022.5.30",
        "Pillow==9.2.0",
        "pkg-about==1.0.7",
        "protobuf==3.17.3",
        "PyAutoGUI==0.9.53",
        "pycparser==2.21",
        "PyGetWindow==0.0.9",
        "pyinstaller==5.3",
        "pyinstaller-hooks-contrib==2022.10",
        "PyMsgBox==1.0.9",
        "pyparsing==3.0.9",
        "pyperclip==1.8.2",
        "PyRect==0.2.0",
        "PyScreeze==0.1.28",
        "pyserial==3.5",
        "PySide6==6.3.1",
        "PySide6-Addons==6.3.1",
        "PySide6-Essentials==6.3.1",
        "pytweening==1.0.4",
        "pywin32-ctypes==0.2.0",
        "requests==2.28.1",
        "selenium==3.141.0",
        "shiboken6==6.3.1",
        "six==1.16.0",
        "tomli==2.0.1",
        "urllib3==1.26.12",
        "whichcraft==0.6.1",
        "win32-setctime==1.1.0",
        "zipp==3.8.1",
        "zope.event==4.5.0",
        "zope.interface==5.4.0",
        "requests-toolbelt",
        "qrcode",
        "pywifi",
        "comtypes",
    ],
    entry_points={
        'console_scripts': [
            'create_insta360_gfpt = insta360_gfpt.cli:main',
        ],
    },
    author='rain',
    author_email='chenrunming@insta360.com',
    description='insta360 gfpt',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    url='https://gitlab.insta360.com/test2/production-testing-tools/insta360_gfpt.git',
    classifiers=[
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
    ],
    python_requires='>=3.7',
)